POST /mj/task/list-by-condition menampilkan daftar task Midjourney berdasarkan filter untuk mengambil status satu atau beberapa job, termasuk progres dan hasil.
curl --request POST \
--url https://api.cometapi.com/mj/task/list-by-condition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"example"
]
}
'[
{
"action": "<string>",
"buttons": [
{
"customId": "<string>",
"emoji": "<string>",
"label": "<string>",
"style": 123,
"type": 123
}
],
"description": "<string>",
"failReason": "<string>",
"finishTime": 123,
"id": "<string>",
"imageUrl": "<string>",
"progress": "<string>",
"prompt": "<string>",
"promptEn": "<string>",
"properties": {},
"startTime": 123,
"state": "<string>",
"status": "<string>",
"submitTime": 123
}
]Gunakan polling task tunggal untuk jalur utama
Gunakan daftar berbasis kondisi untuk pemeriksaan batch
Tindak lanjuti task yang menarik
Bearer token authentication. Use your CometAPI key.
Array of Midjourney task ids to retrieve. Returns the current status and result for each.
curl --request POST \
--url https://api.cometapi.com/mj/task/list-by-condition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"example"
]
}
'[
{
"action": "<string>",
"buttons": [
{
"customId": "<string>",
"emoji": "<string>",
"label": "<string>",
"style": 123,
"type": 123
}
],
"description": "<string>",
"failReason": "<string>",
"finishTime": 123,
"id": "<string>",
"imageUrl": "<string>",
"progress": "<string>",
"prompt": "<string>",
"promptEn": "<string>",
"properties": {},
"startTime": 123,
"state": "<string>",
"status": "<string>",
"submitTime": 123
}
]